Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.15 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25711

Description

I tried to use r.in.wms from the grass plugin, and it failed to run because it was trying to set the "interpolation method to use in

reprojection" twice (the second time under "advanced options").

This seems to be a simple fix - I'm not sure which instance should be deleted, but I deleted the second:

--- C:\OSGeo4W64\apps\qgis\grass\modules\r.in.wms.qgm.old

+++ C:\OSGeo4W64\apps\qgis\grass\modules\r.in.wms.qgm

@ -23,7 +23,6 @

     <option key="maxrows" advanced="yes" version_min="7.0"/>

     <option key="username" advanced="yes" version_min="7.0"/>

     <option key="password" advanced="yes" version_min="7.0"/>

-    <option key="method" advanced="yes" version_min="7.0"/>

     <option key="region" advanced="yes" version_min="7.0"/>

     <option key="bgcolor" advanced="yes" version_min="7.0"/>

     <option key="urlparams" advanced="yes" version_min="7.0"/>

I haven't tested in QGIS 3, but I assume it is also affected, as it still has both instances.

Associated revisions

Revision b8518aef - 2018-01-15 09:25 AM - Alexander Bruy

remove duplicated parameter from r.in.wms module (fix #17815)

Revision 0cec62c6 - 2018-01-15 09:27 AM - Alexander Bruy

remove duplicated parameter from r.in.wms module (fix #17815)

(cherry picked from commit b8518aef9cb7a514cc2c98a5b24e90cd27658a33)

History

#1 - 2018-01-15 09:25 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b8518aef9cb7a514cc2c98a5b24e90cd27658a33.
#2 - 2018-02-21 10:26 PM - Giovanni Manghi

- Resolution set to fixed/implemented
